Bug 4499 - not right packets building
: not right packets building
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ettercap-nox)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-25 13:40 by
Modified: 2006-09-05 12:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-25 13:40:58
>Кажется что ettercap-nox и ettercap-X11 это одно и то же?
>>  ls -l /usr/sbin/ett*
>> lrwxrwxrwx  1 root root     36 Jun 24 12:10 /usr/sbin/ettercap -> 
>> /etc/alternatives/|usr|sbin|ettercap
>> -rwxr-xr-x  1 root root 685064 May 10 23:24 /usr/sbin/ettercap-X11
>> -rwxr-xr-x  1 root root 604648 May 10 23:24 /usr/sbin/ettercap-minimal
>> -rwxr-xr-x  1 root root 685064 May 10 23:24 /usr/sbin/ettercap-nox
>> Зачем тогда аж два пакета с разными именами?
Коментарий от Stanislav Ievlev:
Думаю что это ошибка сборки пакета:
--
%configure
%make_build
%__mv %name %name-nox

%configure --enable-gtk
%make_build
%__mv %name %name-X11
--
Тут скорее всего собирается одно и то же. Например если enable-gtk
включено по умолчанию. Вообще так лучше не собирать. Пусть мантейнер
посмотрит например emacs или ncurses.

В BTS как blocker на пакет *-nox
Steps to Reproduce:
1.Установить из Сизифа набор пакетов ettercap*
2.Попытаться запустить ettercap-nox
3.Попытаться запустить ettercap-X11
Actual Results:  
В обоих случаях получаем консольный интерфейс.

Expected Results:  
В одном случае получить консольный интерфейс, в другом Х-овый
------- Comment #1 From 2006-02-15 09:37:21 -------
Fixed in 0.6.b-alt1.1.1